org.apache.fop.render.intermediate

## Class IFParser

- java.lang.Object
- - org.apache.fop.render.intermediate.IFParser

All Implemented Interfaces:
  IFConstants, XMLConstants

    public class IFParser
    extends Object
    implements IFConstants

This is a parser for the intermediate format XML which converts the intermediate file into `IFPainter` events.

### Field Summary

Fields
`protected static org.apache.commons.logging.Log` `log` Logger instance

### Fields inherited from interface org.apache.fop.render.intermediate.IFConstants

`EL_BORDER_RECT, EL_CLIP_RECT, EL_DOCUMENT, EL_FONT, EL_GROUP, EL_HEADER, EL_ID, EL_IMAGE, EL_LINE, EL_LOCALE, EL_PAGE, EL_PAGE_CONTENT, EL_PAGE_HEADER, EL_PAGE_SEQUENCE, EL_PAGE_TRAILER, EL_RECT, EL_STRUCTURE_TREE, EL_TEXT, EL_TRAILER, EL_VIEWPORT, MIME_TYPE, NAMESPACE`

### Fields inherited from interface org.apache.fop.util.XMLConstants

`CDATA, XLINK_HREF, XLINK_NAMESPACE, XLINK_PREFIX, XML_NAMESPACE, XML_PREFIX, XML_SPACE, XMLNS_NAMESPACE_URI, XMLNS_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`IFParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContentHandler` `getContentHandler(IFDocumentHandler documentHandler, FOUserAgent userAgent)` Creates a new ContentHandler instance that you can send the area tree XML to.
`void` `parse(Source src, IFDocumentHandler documentHandler, FOUserAgent userAgent)` Parses an intermediate file and paints it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static final org.apache.commons.logging.Log log

Logger instance

### Constructor Detail

#### IFParser

    public IFParser()

### Method Detail

#### parse

    public void parse(Source src,
                      IFDocumentHandler documentHandler,
                      FOUserAgent userAgent)
               throws TransformerException,
                      IFException

Parses an intermediate file and paints it.

Parameters:
  `src` - the Source instance pointing to the intermediate file
  `documentHandler` - the intermediate format document handler used to process the IF events
  `userAgent` - the user agent
Throws:
  `TransformerException` - if an error occurs while parsing the area tree XML
  `IFException` - if an IF-related error occurs inside the target document handler

#### getContentHandler

    public ContentHandler getContentHandler(IFDocumentHandler documentHandler,
                                            FOUserAgent userAgent)

Creates a new ContentHandler instance that you can send the area tree XML to. The parsed pages are added to the AreaTreeModel instance you pass in as a parameter.

Parameters:
  `documentHandler` - the intermediate format document handler used to process the IF events
  `userAgent` - the user agent
Returns:
  the ContentHandler instance to receive the SAX stream from the area tree XML